View Issue Details

IDCategoryLast Update
0008672bugs2021-05-06 00:41
ReporterkrabadorAssigned Topaul 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformArchOSLinuxOS Version(any)
Product Version6.6 
Fixed in Version 
Summary0008672: Crash when drag a region to create a new track
DescriptionWhen dragging a region in the way to create a new track with it, Ardour crashes
Steps To ReproduceImport or record audio on a track.
Drag the region out below the track.
Additional Information6.6-339-geeadf5087d GCC 10.2.0
waf configure --prefix=/usr --configdir=/etc --debug-symbols --cxx11 --freedesktop --nls --no-phone-home --ptformat --use-external-libs --with-backends="alsa,dummy,jack,pulseaudio"
Tags6.6-339, crash, drang'n'drop, Editor, region, track

Activities

krabador

2021-04-22 23:56

reporter  

ardour_backtrace (43,506 bytes)
(gdb) run
Starting program: /home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/ardour-6.6.339 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
bind txt domain [gtk2_ardour6] to /usr/share/ardour6/locale
Ardour6.6.339 (compilato usando 6.6-339-geeadf5087d e la versione di GCC 10.2.0)
Ardour: [INFO]: Your system is configured to limit Ardour to 524288 open files
Ardour: [INFO]: Caricamento del file di configurazione del sistema /home/****/Scaricati/ardour/src/ardour/system_config
Ardour: [INFO]: Caricamento del file di configurazione utente /home/****/.config/ardour6/config
[New Thread 0x7fffeb720640 (LWP 15644)]
Ardour: [INFO]: CPU vendor: GenuineIntel
Ardour: [INFO]: AVX-capable processor
Ardour: [INFO]: AVX with FMA capable processor
Ardour: [INFO]: CPU brand: Intel(R) Core(TM) i7-7700HQ CPU @ 2.80GHz
Ardour: [INFO]: Using AVX and FMA optimized routines
[New Thread 0x7fffeaf1f640 (LWP 15645)]
[New Thread 0x7fffea71e640 (LWP 15646)]
[New Thread 0x7fffe9f1d640 (LWP 15647)]
Ardour: [INFO]: Loading plugin meta data file /home/****/Scaricati/ardour/src/ardour/share/plugin_metadata/plugin_tags
Ardour: [INFO]: Loading plugin statistics file /home/****/.config/ardour6/plugin_metadata/plugin_stats
[New Thread 0x7fffe8e73640 (LWP 15648)]
[Thread 0x7fffe8e73640 (LWP 15648) exited]
[New Thread 0x7fffe8e73640 (LWP 15649)]
[New Thread 0x7fffdbfff640 (LWP 15650)]
[New Thread 0x7fffdb7fe640 (LWP 15652)]
Ardour: [INFO]: Loading 451 MIDI patches from /home/****/Scaricati/ardour/src/ardour/share/patchfiles
Ardour: [INFO]: Caricamento file di configurazione interfaccia predefinito /home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/default_ui_config
Ardour: [INFO]: Caricamento file di configurazione interfaccia /home/****/.config/ardour6/ui_config
[New Thread 0x7fffdaffd640 (LWP 15653)]
[New Thread 0x7fffda7fc640 (LWP 15654)]
[New Thread 0x7fffd9ffb640 (LWP 15655)]
Ardour: [INFO]: Caricamento file colori /home/****/Scaricati/ardour/src/ardour/gtk2_ardour/themes/dark-ardour.colors
Ardour: [INFO]: Caricamento configurazione interfaccia /home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/clearlooks.rc
Ardour: [INFO]: Loading bindings from /home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/ardour.keys
Caricamento configurazione interfaccia /home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/clearlooks.rc
[New Thread 0x7fffe81c8640 (LWP 15656)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
[Thread 0x7fffe81c8640 (LWP 15656) exited]
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[New Thread 0x7fffe81c8640 (LWP 15657)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15657) exited]
[New Thread 0x7fffe81c8640 (LWP 15658)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15658) exited]
[New Thread 0x7fffe81c8640 (LWP 15659)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15659) exited]
[New Thread 0x7fffd97fa640 (LWP 15660)]
Found nothing along /home/****/.config/ardour6/templates:/home/****/Scaricati/ardour/src/ardour/share/templates:/home/****/Scaricati/ardour/src/ardour/build/templates:/home/****/Scaricati/ardour/src/ardour/gtk2_ardour/templates:/home/****/Scaricati/ardour/src/ardour/build/gtk2_ardour/templates
[Thread 0x7fffd9ffb640 (LWP 15655) exited]
[Thread 0x7fffda7fc640 (LWP 15654) exited]
[Thread 0x7fffdb7fe640 (LWP 15652) exited]
JACK command line will be: /usr/bin/jackd -t 200 -p 2048 -R -T -d alsa -n 2 -r 48000 -p 256 -d hw:PCH,0
[New Thread 0x7fffe81c8640 (LWP 15661)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
Automatic start of JACK server is disabled at configure time
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15661) exited]
[New Thread 0x7fffda7fc640 (LWP 15662)]
[New Thread 0x7fffd9ffb640 (LWP 15663)]
[New Thread 0x7fffe81c8640 (LWP 15664)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
[Thread 0x7fffe81c8640 (LWP 15664) exited]
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[New Thread 0x7fffe81c8640 (LWP 15665)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15665) exited]
[New Thread 0x7fffe81c8640 (LWP 15666)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffe81c8640 (LWP 15666) exited]
[Thread 0x7fffda7fc640 (LWP 15662) exited]
[Thread 0x7fffd97fa640 (LWP 15660) exited]
[Detaching after vfork from child process 15667]
[New Thread 0x7fffd97fa640 (LWP 15668)]
 --[[ ALSA Device hw:PCH,0
playback
  nchan  : 2
  fsamp  : 48000
  fsize  : 512
  nfrag  : 2
  format : S32_LE
capture
  nchan  : 2
  fsamp  : 48000
  fsize  : 512
  nfrag  : 2
  format : S32_LE
synced
 --]]
[New Thread 0x7fffd8e8a0c0 (LWP 15669)]
[New Thread 0x7fffda7fc640 (LWP 15670)]
Scanning folders for bundled LV2s: /home/****/Scaricati/ardour/src/ardour/build/libs/LV2
[New Thread 0x7fffb7fff640 (LWP 15671)]
[New Thread 0x7fffb77fe640 (LWP 15672)]
[Detaching after vfork from child process 15673]
[New Thread 0x7fffb6ffd640 (LWP 15674)]
[Thread 0x7fffb6ffd640 (LWP 15674) exited]
[Detaching after vfork from child process 15675]
[New Thread 0x7fffb6ffd640 (LWP 15676)]
[Thread 0x7fffb77fe640 (LWP 15672) exited]
[Thread 0x7fffb7fff640 (LWP 15671) exited]
[Thread 0x7fffb6ffd640 (LWP 15676) exited]
Set cursor set to default
[New Thread 0x7fffb6ffd640 (LWP 15677)]
 loading from /home/****/ArdourSessions/try as try templ  is_new 0 bp 0
[New Thread 0x7fffd863a0c0 (LWP 15678)]
[New Thread 0x7fffd862e0c0 (LWP 15679)]
[New Thread 0x7fffd86220c0 (LWP 15680)]
[New Thread 0x7fffd86160c0 (LWP 15681)]
[New Thread 0x7fffd860a0c0 (LWP 15682)]
[New Thread 0x7fffd85fe0c0 (LWP 15683)]
[New Thread 0x7fffd85f20c0 (LWP 15684)]
[New Thread 0x7fffd85e60c0 (LWP 15685)]
[New Thread 0x7fffd85620c0 (LWP 15686)]
[New Thread 0x7fffd84de0c0 (LWP 15687)]
[New Thread 0x7fffd845a0c0 (LWP 15688)]
[New Thread 0x7fffd83d60c0 (LWP 15689)]
[New Thread 0x7fffd83520c0 (LWP 15690)]
[New Thread 0x7fffd82ce0c0 (LWP 15691)]
[New Thread 0x7fffe81c8640 (LWP 15692)]
[New Thread 0x7fffb7fff640 (LWP 15693)]
[New Thread 0x7fffb77fe640 (LWP 15694)]
[New Thread 0x7fffb4ff9640 (LWP 15695)]
[New Thread 0x7fff67fff640 (LWP 15696)]
locate to 0 took 15829 usecs for 17 tracks = 931 per track
locate to 0 took 8733 usecs for 17 tracks = 514 per track
locate to 11532583 took 10795 usecs for 17 tracks = 635 per track
[New Thread 0x7fffd80f2640 (LWP 15697)]
Cannot connect to server socket err = File o directory non esistente
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
[Thread 0x7fffd80f2640 (LWP 15697) exited]
[New Thread 0x7fff677fe640 (LWP 15698)]
[New Thread 0x7fff66ffd640 (LWP 15699)]
[New Thread 0x7fff667fc640 (LWP 15700)]
[New Thread 0x7fff65ffb640 (LWP 15701)]
[New Thread 0x7fff657fa640 (LWP 15702)]
[New Thread 0x7fff64ff9640 (LWP 15703)]
[New Thread 0x7fff5ffff640 (LWP 15704)]
[Thread 0x7fffd9ffb640 (LWP 15663) exited]
[New Thread 0x7fffd9ffb640 (LWP 15705)]
[New Thread 0x7fff5f7fe640 (LWP 15706)]
Dragging region(s) from 1 different track(s), max dist: 0
/usr/include/c++/10.2.0/bits/stl_vector.h:1045: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = TimeAxisView*; _Alloc = std::allocator<TimeAxisView*>; std::vector<_Tp, _Alloc>::reference = TimeAxisView*&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
--Type <RET> for more, q to quit, c to continue without paging--c

Thread 1 "ArdourGUI" received signal SIGABRT, Aborted.
0x00007ffff471eef5 in raise () from /usr/lib/libc.so.6
(gdb) thread apply all bt

Thread 60 (Thread 0x7fff5f7fe640 (LWP 15706) "pool-ardour-6.6"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a1906b in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff699a8b3 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff69fbddb in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 59 (Thread 0x7fffd9ffb640 (LWP 15705) "pool-ardour-6.6"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a1906b in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff699a8b3 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff69fbddb in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 58 (Thread 0x7fff5ffff640 (LWP 15704) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555c4ed5a0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
--Type <RET> for more, q to quit, c to continue without paging--c
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 57 (Thread 0x7fff64ff9640 (LWP 15703) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555bc51ae0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 56 (Thread 0x7fff657fa640 (LWP 15702) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555cbe9cd0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 55 (Thread 0x7fff65ffb640 (LWP 15701) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555a3b7520) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 54 (Thread 0x7fff667fc640 (LWP 15700) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555ab7d7e0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 53 (Thread 0x7fff66ffd640 (LWP 15699) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555b165b40) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 52 (Thread 0x7fff677fe640 (LWP 15698) "WaveViewDrawing"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7f8e22d in ArdourWaveView::WaveViewDrawRequestQueue::dequeue(bool) (this=0x55555bf57018, block=<optimized out>) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7f8e6f9 in ArdourWaveView::WaveViewThreads::dequeue_draw_request() () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7f8e787 in ArdourWaveView::WaveViewDrawingThread::run() (this=0x55555a580b80) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#6  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 50 (Thread 0x7fff67fff640 (LWP 15696) "AutomationWatch"):
#0  0x00007ffff47a9125 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff47ae357 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff69f45f1 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff7593e1b in ARDOUR::AutomationWatch::thread() (this=0x555556dab3b0) at ../libs/ardour/automation_watch.cc:195
#4  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#5  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 49 (Thread 0x7fffb4ff9640 (LWP 15695) "autoconnect"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5577260 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7aa4bcc in ARDOUR::Session::auto_connect_thread_run() (this=0x55555bb18410) at ../libs/ardour/session.cc:7181
#3  0x00007ffff7aa506e in ARDOUR::Session::auto_connect_thread(void*) (arg=0x55555bb18410) at ../libs/ardour/session.cc:7112
#4  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 48 (Thread 0x7fffb77fe640 (LWP 15694) "SessionSignals"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5577260 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7b201c5 in ARDOUR::Session::emit_thread_run() (this=0x55555bb18410) at ../libs/ardour/session_process.cc:1123
#3  0x00007ffff7b201fe in ARDOUR::Session::emit_thread(void*) (arg=0x55555bb18410) at ../libs/ardour/session_process.cc:1112
#4  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 47 (Thread 0x7fffb7fff640 (LWP 15693) "midiUI"):
#0  0x00007ffff47d637f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6a1eae8 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff69ca593 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 46 (Thread 0x7fffe81c8640 (LWP 15692) "butler"):
#0  0x00007ffff47d637f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6d55ecd in poll (__timeout=-1, __nfds=1, __fds=0x7fffe81c71a0) at /usr/include/bits/poll2.h:47
#2  CrossThreadChannel::poll_for_request() (this=<optimized out>) at ../libs/pbd/crossthread.posix.cc:102
#3  0x00007ffff6d55f53 in CrossThreadChannel::receive(char&, bool) (this=this@entry=0x55555cb178c8, msg=@0x7fffe81c7238: 0 '\000', wait=wait@entry=true) at ../libs/pbd/crossthread.posix.cc:123
#4  0x00007ffff75a665c in ARDOUR::Butler::thread_work() (this=0x55555cb17830) at ../libs/ardour/butler.cc:172
#5  0x00007ffff6d7a62d in fake_thread_start(void*) (arg=0x5555597efc10) at ../libs/pbd/pthread_utils.cc:113
#6  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 45 (Thread 0x7fffd82ce0c0 (LWP 15691) "RT-6-0x7fffd82c"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd82ccf10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd82ccf18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 44 (Thread 0x7fffd83520c0 (LWP 15690) "RT-5-0x7fffd835"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd8350f10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd8350f18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 43 (Thread 0x7fffd83d60c0 (LWP 15689) "RT-4-0x7fffd83d"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767bf62 in PBD::Semaphore::wait() (this=0x555558e2a728) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::reached_terminal_node() (this=0x555558e2a650) at ../libs/ardour/graph.cc:301
#4  0x00007ffff7683c6c in ARDOUR::GraphNode::finish(int) (this=this@entry=0x555557bfac90, chain=chain@entry=0) at ../libs/ardour/graphnode.cc:74
#5  0x00007ffff767c5b6 in ARDOUR::GraphNode::run(int) (chain=0, this=0x555557bfac90) at ../libs/ardour/ardour/graphnode.h:65
#6  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:442
#7  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#8  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd83d4f10) at /usr/include/boost/function/function_template.hpp:763
#9  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd83d4f18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#10 0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 42 (Thread 0x7fffd845a0c0 (LWP 15688) "RT-3-0x7fffd845"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd8458f10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd8458f18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 41 (Thread 0x7fffd84de0c0 (LWP 15687) "RT-2-0x7fffd84d"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd84dcf10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd84dcf18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 40 (Thread 0x7fffd85620c0 (LWP 15686) "RT-1-0x7fffd856"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767cc69 in ARDOUR::Graph::helper_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:470
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd8560f10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd8560f18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 39 (Thread 0x7fffd85e60c0 (LWP 15685) "RT-main-0x7fffd"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff767c370 in PBD::Semaphore::wait() (this=0x555558e2a700) at ../libs/pbd/pbd/semutils.h:64
#3  ARDOUR::Graph::run_one() (this=0x555558e2a650) at ../libs/ardour/graph.cc:426
#4  0x00007ffff767d0d9 in ARDOUR::Graph::main_thread() (this=0x555558e2a650) at ../libs/ardour/graph.cc:523
#5  0x00007fffe8453922 in boost::function0<void>::operator()() const (this=0x7fffd85e4f10) at /usr/include/boost/function/function_template.hpp:763
#6  ARDOUR::AlsaAudioBackend::alsa_process_thread(void*) (arg=0x7fffd85e4f18) at ../libs/backends/alsa/alsa_audiobackend.cc:1169
#7  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7fffd85f20c0 (LWP 15684) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7fffd85fe0c0 (LWP 15683) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7fffd860a0c0 (LWP 15682) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7fffd86160c0 (LWP 15681) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7fffd86220c0 (LWP 15680) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7fffd862e0c0 (LWP 15679) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7fffd863a0c0 (LWP 15678) "RTTaskList"):
#0  0x00007ffff557d9ba in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007ffff5579b98 in __new_sem_wait_slow64.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007ffff7a7e6d9 in PBD::Semaphore::wait() (this=0x5555571458b0) at ../libs/pbd/pbd/semutils.h:49
#3  ARDOUR::RTTaskList::run() (this=0x555557145880) at ../libs/ardour/rt_tasklist.cc:112
#4  0x00007ffff7a7eb0e in ARDOUR::RTTaskList::_thread_run(void*) (arg=0x555557145880) at ../libs/ardour/rt_tasklist.cc:68
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7fffb6ffd640 (LWP 15677) "pool-ardour-6.6"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a1906b in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff699a8b3 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff69fbddb in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 26 (Thread 0x7fffda7fc640 (LWP 15670) "ArdourGUI"):
#0  0x00007ffff47d637f in poll () at /usr/lib/libc.so.6
#1  0x00007fffe84588b1 in poll (__timeout=200, __nfds=1, __fds=0x7fffb8006ad0) at /usr/include/bits/poll2.h:47
#2  ARDOUR::AlsaAudioBackend::midi_device_thread() (this=0x555556867520) at ../libs/backends/alsa/alsa_audiobackend.cc:1366
#3  0x00007fffe84589ae in ARDOUR::AlsaAudioBackend::_midi_device_thread(void*) (arg=<optimized out>) at ../libs/backends/alsa/alsa_audiobackend.cc:1329
#4  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7fffd8e8a0c0 (LWP 15669) "audioengine"):
#0  0x00007ffff47d647e in ppoll () at /usr/lib/libc.so.6
#1  0x00007fffe84735e4 in ppoll (__ss=0x0, __timeout=0x7fffd8e88ce0, __nfds=1, __fds=0x5555572dc0fc) at /usr/include/bits/poll2.h:72
#2  Alsa_pcmi::pcm_wait() (this=0x5555572dc070) at ../libs/backends/alsa/zita-alsa-pcmi.cc:185
#3  0x00007fffe845cffe in ARDOUR::AlsaAudioBackend::main_process_thread() (this=0x555556867520) at ../libs/backends/alsa/alsa_audiobackend.cc:1819
#4  0x00007fffe845e030 in pthread_process(void*) (arg=<optimized out>) at ../libs/backends/alsa/alsa_audiobackend.cc:775
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7fffd97fa640 (LWP 15668) "ExecStdOut"):
#0  0x00007ffff47d8ad1 in select () at /usr/lib/libc.so.6
#1  0x00007ffff6d9284e in PBD::SystemExec::output_interposer() (this=0x555556e46ae0) at ../libs/pbd/system_exec.cc:844
#2  0x00007ffff6d928be in interposer_thread(void*) (arg=0x555556e46ae0) at ../libs/pbd/system_exec.cc:281
#3  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fffdaffd640 (LWP 15653) "gmain"):
#0  0x00007ffff47d637f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6a1eae8 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff69c8781 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff69c87d2 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fffdbfff640 (LWP 15650) "DeviceList"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7544eda in ARDOUR::AudioEngine::do_devicelist_update() (this=0x555556ce0ca0) at ../libs/ardour/audioengine.cc:718
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffe8e73640 (LWP 15649) "EngineWatchdog"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff75470e0 in ARDOUR::AudioEngine::do_reset_backend() (this=0x555556ce0ca0) at ../libs/ardour/audioengine.cc:682
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe9f1d640 (LWP 15647) "Analyzer"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7507e38 in ARDOUR::Analyser::work() () at ../libs/ardour/analyser.cc:93
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffea71e640 (LWP 15646) "PeakFileBuilder"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7b9d500 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffeaf1f640 (LWP 15645) "PeakFileBuilder"):
#0  0x00007ffff47dba9d in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6a18b81 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff7b9d500 in peak_thread_work() () at ../libs/ardour/source_factory.cc:74
#3  0x00007ffff6b5659a in  () at /usr/lib/libglibmm-2.4.so.1
#4  0x00007ffff69f90c1 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffeb720640 (LWP 15644) "LXVSTEventLoop"):
#0  0x00007ffff47a9125 in clock_nanosleep@GLIBC_2.2.5 () at /usr/lib/libc.so.6
#1  0x00007ffff47ae357 in nanosleep () at /usr/lib/libc.so.6
#2  0x00007ffff69f45f1 in g_usleep () at /usr/lib/libglib-2.0.so.0
#3  0x00005555563494df in gui_event_loop(void*) (ptr=<optimized out>) at ../gtk2_ardour/linux_vst_gui_support.cc:468
#4  0x00007ffff5571299 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff47e1053 in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fffebb065c0 (LWP 15640) "ArdourGUI"):
#0  0x00007ffff471eef5 in raise () at /usr/lib/libc.so.6
#1  0x00007ffff4708862 in abort () at /usr/lib/libc.so.6
#2  0x0000555555a27dfa in std::__replacement_assert(char const*, int, char const*, char const*) (__file=__file@entry=0x555556357928 "/usr/include/c++/10.2.0/bits/stl_vector.h", __line=__line@entry=1045, __function=__function@entry=0x555556371ad8 "std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = TimeAxisView*; _Alloc = std::allocator<TimeAxisView*>; std::vector<_Tp, _Alloc"..., __condition=__condition@entry=0x5555563577b0 "__builtin_expect(__n < this->size(), true)") at /usr/include/c++/10.2.0/x86_64-pc-linux-gnu/bits/c++config.h:457
#3  0x0000555555bd80ef in std::vector<TimeAxisView*, std::allocator<TimeAxisView*> >::operator[](unsigned long) (this=0x55555c0c7df8, __n=<optimized out>) at /usr/include/c++/10.2.0/bits/stl_vector.h:1045
#4  std::vector<TimeAxisView*, std::allocator<TimeAxisView*> >::operator[](unsigned long) (__n=<optimized out>, this=0x55555c0c7df8) at /usr/include/c++/10.2.0/bits/stl_vector.h:1043
#5  RegionMoveDrag::finished(_GdkEvent*, bool) (this=0x55555c0c7d30, ev=0x7fffffffc500, movement_occurred=<optimized out>) at ../gtk2_ardour/editor_drag.cc:1468
#6  0x0000555555bc32e7 in Drag::end_grab(_GdkEvent*) (this=0x55555c0c7d30, event=0x7fffffffc500) at ../gtk2_ardour/editor_drag.cc:352
#7  0x0000555555bc553b in DragManager::end_grab(_GdkEvent*) (this=0x55555cdc05a0, e=e@entry=0x7fffffffc500) at ../gtk2_ardour/editor_drag.cc:183
#8  0x0000555555c0ea9a in Editor::button_release_handler(ArdourCanvas::Item*, _GdkEvent*, ItemType) (this=0x555557341e90, item=0x55555bf6fb60, event=0x7fffffffc500, item_type=RegionItem) at ../gtk2_ardour/editor_mouse.cc:1489
#9  0x00007ffff6fbcfce in sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator()(sigc::slot<bool (_GdkEvent*), sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil> const&) const (_A_slot=..., this=<synthetic pointer>) at /usr/include/sigc++-2.0/sigc++/signal.h:855
#10 sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>::operator*() const (this=<synthetic pointer>) at /usr/include/sigc++-2.0/sigc++/signal.h:315
#11 ArdourCanvas::Item::EventAccumulator<bool>::operator()<sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool> >(sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>, sigc::internal::slot_iterator_buf<sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >, bool>) (last=..., this=<optimized out>, last=..., first=...) at ../libs/canvas/canvas/item.h:239
#12 sigc::internal::signal_emit1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit(sigc::internal::signal_impl*, _GdkEvent* const&) (impl=0x55555bf707a0, _A_a1=@0x7fffffffc208: 0x7fffffffc500) at /usr/include/sigc++-2.0/sigc++/signal.h:875
#13 0x00007ffff6fb8b43 in sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::emit(_GdkEvent* const&) const (_A_a1=@0x7fffffffc208: 0x7fffffffc500, this=0x55555bf6fbd0) at /usr/include/sigc++-2.0/sigc++/signal.h:2950
#14 sigc::signal1<bool, _GdkEvent*, ArdourCanvas::Item::EventAccumulator<bool> >::operator()(_GdkEvent* const&) const (_A_a1=@0x7fffffffc208: 0x7fffffffc500, this=0x55555bf6fbd0) at /usr/include/sigc++-2.0/sigc++/signal.h:2967
#15 ArdourCanvas::GtkCanvas::deliver_event(_GdkEvent*) (this=<optimized out>, event=<optimized out>) at ../libs/canvas/canvas.cc:773
#16 0x00007ffff6fba07c in ArdourCanvas::GtkCanvas::on_button_release_event(_GdkEventButton*) (this=0x55555969d818, ev=0x55555a39f570) at ../libs/canvas/canvas.cc:1081
#17 0x00007ffff5db9e18 in Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*) () at /usr/lib/libgtkmm-2.4.so.1
#18 0x00007ffff66410a8 in  () at /usr/lib/libgtk-x11-2.0.so.0
#19 0x00007ffff6abeddf in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#20 0x00007ffff6ae79cb in  () at /usr/lib/libgobject-2.0.so.0
#21 0x00007ffff6adb2db in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#22 0x00007ffff6adc210 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#23 0x00007ffff6766275 in  () at /usr/lib/libgtk-x11-2.0.so.0
#24 0x00007ffff663f6d6 in gtk_propagate_event () at /usr/lib/libgtk-x11-2.0.so.0
#25 0x00007ffff663fb4b in gtk_main_do_event () at /usr/lib/libgtk-x11-2.0.so.0
#26 0x00007ffff64ae3be in  () at /usr/lib/libgdk-x11-2.0.so.0
#27 0x00007ffff69cb02c in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#28 0x00007ffff6a1eb59 in  () at /usr/lib/libglib-2.0.so.0
#29 0x00007ffff69ca593 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#30 0x00007ffff663e9fe in gtk_main () at /usr/lib/libgtk-x11-2.0.so.0
#31 0x00007ffff6e29ca7 in Gtkmm2ext::UI::run(Receiver&) (this=0x555556d5c020, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:310
#32 0x0000555555a080ac in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ../gtk2_ardour/main.cc:410
ardour_backtrace (43,506 bytes)

krabador

2021-04-23 14:57

reporter  

Image1.jpg (138,276 bytes)
Image1.jpg (138,276 bytes)
Image2.jpg (160,865 bytes)
Image2.jpg (160,865 bytes)

x42

2021-04-28 21:45

administrator   ~0025777

Likely related or caused by region-list changes allowing multiple selection.

Select multiple regions from the region-litst. start a drag -> crash

region-list.gdb.txt (3,939 bytes)
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007fc20341b537 in __GI_abort () at abort.c:79
#2  0x00007fc20341b40f in __assert_fail_base
    (fmt=0x7fc203584128 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x5602e7283f31 "regions.size () == 1", file=0x5602e7283f10 "../gtk2_ardour/editor_regions.cc", line=1150, function=<optimized out>) at assert.c:92
#3  0x00007fc20342a662 in __GI___assert_fail
    (assertion=0x5602e7283f31 "regions.size () == 1", file=0x5602e7283f10 "../gtk2_ardour/editor_regions.cc", line=1150, function=0x5602e7283ec8 "boost::shared_ptr<ARDOUR::Region> EditorRegions::get_dragged_region()") at assert.c:101
#4  0x00005602e7b1c33a in EditorRegions::get_dragged_region() (this=0x5602ee77acb0) at ../gtk2_ardour/editor_regions.cc:1150
#5  0x00005602e7a580cd in Editor::track_canvas_drag_motion(Glib::RefPtr<Gdk::DragContext> const&, int, int, unsigned int) (this=0x5602ee4d60c0, context=..., x=860, y=194, time=209469444)
    at ../gtk2_ardour/editor_canvas_events.cc:1204
#6  0x00005602e7a54303 in sigc::bound_mem_functor4<bool, Editor, Glib::RefPtr<Gdk::DragContext> const&, int, int, unsigned int>::operator()(Glib::RefPtr<Gdk::DragContext> const&, int const&, int const&, unsigned int const&) const (this=0x5602e9425dc8, _A_a1=..., _A_a2=@0x7ffd7b7b4e4c: 860, _A_a3=@0x7ffd7b7b4e48: 194, _A_a4=@0x7ffd7b7b4e44: 209469444)
    at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:2303
#7  0x00005602e7a53933 in sigc::adaptor_functor<sigc::bound_mem_functor4<bool, Editor, Glib::RefPtr<Gdk::DragContext> const&, int, int, unsigned int> >::operator()<Glib::RefPtr<Gdk::DragContext> const&, int const&, int const&, unsigned int const&>(Glib::RefPtr<Gdk::DragContext> const&, int const&, int const&, unsigned int const&) const
    (this=0x5602e9425dc0, _A_arg1=..., _A_arg2=@0x7ffd7b7b4e4c: 860, _A_arg3=@0x7ffd7b7b4e48: 194, _A_arg4=@0x7ffd7b7b4e44: 209469444)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:149
#8  0x00005602e7a52ce0 in sigc::internal::slot_call4<sigc::bound_mem_functor4<bool, Editor, Glib::RefPtr<Gdk::DragContext> const&, int, int, unsigned int>, bool, Glib::RefPtr<Gdk::DragContext> const&, int, int, unsigned int>::call_it(sigc::internal::slot_rep*, Glib::RefPtr<Gdk::DragContext> const&, int const&, int const&, unsigned int const&)
    (rep=0x5602e9425d90, a_1=..., a_2=@0x7ffd7b7b4e4c: 860, a_3=@0x7ffd7b7b4e48: 194, a_4=@0x7ffd7b7b4e44: 209469444) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:284
#9  0x00007fc204249554 in  () at /lib/x86_64-linux-gnu/libgtkmm-2.4.so.1
#10 0x00007fc2047ba737 in  () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#11 0x00007fc204c2d0a2 in g_closure_invoke () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#12 0x00007fc204c3f602 in  () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#13 0x00007fc204c45259 in g_signal_emit_valist () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#14 0x00007fc204c45e5f in g_signal_emit_by_name () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007fc2048f6f4a in  () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#16 0x00007fc2048f6a21 in  () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#17 0x00007fc2047b8de3 in gtk_main_do_event () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#18 0x00007fc204624afc in  () at /lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#19 0x00007fc204b39e6b in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007fc204b3a118 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fc204b3a40b in g_main_loop_run () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fc2047b7b2a in gtk_main () at /lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#23 0x00007fc205062502 in Gtkmm2ext::UI::run(Receiver&) (this=0x5602e8d84d40, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:310
#24 0x00005602e7df4b55 in main(int, char**) (argc=1, argv=0x7ffd7b7b5a78) at ../gtk2_ardour/main.cc:410
region-list.gdb.txt (3,939 bytes)

paul

2021-05-06 00:41

administrator   ~0025790

fixed by 8cb09ab2cfc8. confirmed by reporter.

Issue History

Date Modified Username Field Change
2021-04-22 23:56 krabador New Issue
2021-04-22 23:56 krabador Tag Attached: 6.6-339
2021-04-22 23:56 krabador File Added: ardour_backtrace
2021-04-23 01:42 krabador Tag Attached: crash
2021-04-23 01:42 krabador Tag Attached: drang'n'drop
2021-04-23 01:43 krabador Tag Attached: Editor
2021-04-23 01:44 krabador Tag Attached: track
2021-04-23 01:44 krabador Tag Attached: region
2021-04-23 14:57 krabador File Added: Image1.jpg
2021-04-23 14:57 krabador File Added: Image2.jpg
2021-04-28 21:45 x42 File Added: region-list.gdb.txt
2021-04-28 21:45 x42 Note Added: 0025777
2021-05-06 00:41 paul Assigned To => paul
2021-05-06 00:41 paul Status new => resolved
2021-05-06 00:41 paul Resolution open => fixed
2021-05-06 00:41 paul Note Added: 0025790